package com.ademicon.repository;

import java.sql.Connection;
import java.sql.PreparedStatement;

import com.ademicon.model.ContratoResponse;
import com.ademicon.service.ConnectionService;

public class ContratoRepository {

    public int incluir(ContratoResponse contrato) throws Exception {

        String queryString = "UPDATE ADE_006_CONTROLE_GARANTIA SET CONTRATO_DETRAN = ? WHERE CHASSI = ?";

        try (Connection conn = ConnectionService.getConnection();
                PreparedStatement preparedStatement = conn.prepareStatement(queryString);) {
            preparedStatement.setString(1, contrato.getNumeroRegistroEletronico());
            preparedStatement.setString(2, contrato.getChassi());
            return preparedStatement.executeUpdate();

        } catch (Exception e) {
            throw e;
            
        }
    }
}
